Bug 974068 - rpc.idmapd permission denied
rpc.idmapd permission denied
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: nfs-utils (Show other bugs)
7.1
Unspecified Unspecified
medium Severity high
: beta
: ---
Assigned To: Steve Dickson
Yin.JianHong
:
Depends On:
Blocks: 1113520
  Show dependency treegraph
 
Reported: 2013-06-13 07:33 EDT by Alex Sersen
Modified: 2014-07-07 23:13 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-07-07 23:13:56 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Alex Sersen 2013-06-13 07:33:54 EDT
Description of problem:
rpc.idmapd has permission denied to /var/lib/nfs/rpc_pipefs/nfs

Version-Release number of selected component (if applicable):
rpm -qa nfs-utils
nfs-utils-1.2.6-11.el7.x86_64


How reproducible:


Steps to Reproduce:
1. install nfs-utils
2. systemctl start nfs.service
3. tail /var/log/messages

Actual results:
rpc.idmapd[1276]: main: open(/var/lib/nfs/rpc_pipefs//nfs): Permission denied

Expected results:
??

Additional info:
Comment 3 RHEL Product and Program Management 2014-03-22 02:46:32 EDT
This request was not resolved in time for the current release.
Red Hat invites you to ask your support representative to
propose this request, if still desired, for consideration in
the next release of Red Hat Enterprise Linux.
Comment 5 Yin.JianHong 2014-07-07 23:13:56 EDT
can not reproduce in RHEL-7.0 now. close it with cuurentrelease.

[root@hp-dl388g8-16 ~]# service nfs status
Redirecting to /bin/systemctl status  nfs.service
nfs-server.service - NFS Server
   Loaded: loaded (/usr/lib/systemd/system/nfs-server.service; disabled)
   Active: inactive (dead)

[root@hp-dl388g8-16 ~]# systemctl start nfs.service
[root@hp-dl388g8-16 ~]# tail /var/log/messages 
Jul  8 11:12:42 hp-dl388g8-16 systemd: Starting NFS Mount Daemon...
Jul  8 11:12:42 hp-dl388g8-16 rpc.mountd[11613]: Version 1.3.0 starting
Jul  8 11:12:42 hp-dl388g8-16 systemd: Started NFS Mount Daemon.
Jul  8 11:12:42 hp-dl388g8-16 systemd: Starting NFS Server...
Jul  8 11:12:42 hp-dl388g8-16 kernel: NFSD: starting 90-second grace period (net ffffffff819a09c0)
Jul  8 11:12:42 hp-dl388g8-16 systemd: Started NFS Server.
Jul  8 11:12:42 hp-dl388g8-16 systemd: Starting NFSv4 ID-name mapping daemon...
Jul  8 11:12:42 hp-dl388g8-16 systemd: Starting NFS Remote Quota Server...
Jul  8 11:12:42 hp-dl388g8-16 systemd: Started NFS Remote Quota Server.
Jul  8 11:12:43 hp-dl388g8-16 systemd: Started NFSv4 ID-name mapping daemon.
[root@hp-dl388g8-16 ~]# lsb_release -sir
RedHatEnterpriseServer 7.0
[root@hp-dl388g8-16 ~]#

Note You need to log in before you can comment on or make changes to this bug.